#ifndef _COLOURS_CURSES_H_
#define _COLOURS_CURSES_H_

/*
   *
   * curses_colour.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * Depend:          Curses (aka Ncurses)
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


#ifndef _BSERVER_H_
/* Const for curs_set() */
#define INVISIBLE		0
#define VISIBLE			1
#endif


int curses_flag = FALSE;


#ifndef _BSERVER_H_
void init_ncurses_screen_color(void)
{
	/* ! This is for bug report ! */
	strcpy (running_function, "init_screen_color()");

	if (!has_colors())
	    {
		printw ("This Terminal does not support color.\n"
			"If support, please make sure than TERM=\n"
			"environment set properly.\n");
		refresh();
		sleep(10);
	    }

	start_color();

	init_pair (1, COLOR_WHITE, COLOR_BLUE);
	init_pair (2, COLOR_BLACK, COLOR_WHITE);
	init_pair (3, COLOR_BLACK, COLOR_BLUE);
	init_pair (4, COLOR_RED, COLOR_WHITE);
	init_pair (5, COLOR_GREEN, COLOR_WHITE);
	init_pair (6, COLOR_WHITE, COLOR_GREEN);
	init_pair (7, COLOR_WHITE, COLOR_BLACK);
	init_pair (8, COLOR_WHITE, COLOR_RED);
	init_pair (9, COLOR_CYAN, COLOR_BLUE);
	init_pair (10, COLOR_WHITE, COLOR_YELLOW);
	init_pair (11, COLOR_GREEN, COLOR_BLUE);
	init_pair (12, COLOR_RED, COLOR_BLUE);
	init_pair (13, COLOR_YELLOW, COLOR_BLUE);
}
#endif

/* NIN */

#endif /* _COLOURS_CURSES_H_ */

