#ifndef _PROTOCOL_H_
#define _PROTOCOL_H_

/*
   *
   * protocol.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/



#define GET_METHOD			"GET"
#define HAPPY_FACE			":-)"
#define IF_NOT_FOUND			"Interface_not_found"
#define NOT_FOUND			"Not_found"
#define BAD_METHOD			"Method_not_implemented"

#define SERVER				"Server"
#define SERVER_NAME			"Server-Name"
#define SERVER_VERSION			"Server-Version"
#define SERVER_TIME			"Server-Time"
#define SERVER_DATE			"Server-Date"
#define SERVER_IFNAMES			"Server-IF_Names"

#define INTERFACE_IP			"Interface-IP"
#define INTERFACE_IP_CLASS		"Interface-IP_Class"
#define INTERFACE_PPP_IP		"Interface-PPP_IP"
#define INTERFACE_PPP_IP_CLASS		"Interface-PPP_IP_Class"
#define INTERFACE_NETMASK		"Interface-Netmask"
#define INTERFACE_BROADCAST		"Interface-Broadcast"
#define INTERFACE_MAC			"Interface-MAC"
#define INTERFACE_IRQ			"Interface-Irq"
#define INTERFACE_DMA			"Interface-Dma"
#define INTERFACE_FLAGS			"Interface-Flags"
#define INTERFACE_KB_TX_SPEED		"Interface-KB_TX_Speed"
#define INTERFACE_KB_RX_SPEED		"Interface-KB_RX_Speed"
#define INTERFACE_KB_SPEED		"Interface-KB_Speed"
#define INTERFACE_KB_SPEED_TOP		"Interface-KB_Speed_top"
#define INTERFACE_PS_TX_SPEED		"Interface-PS_TX_Speed"
#define INTERFACE_PS_RX_SPEED		"Interface-PS_RX_Speed"
#define INTERFACE_PS_SPEED		"Interface-PS_Speed"
#define INTERFACE_PS_SPEED_TOP		"Interface-PS_Speed_top"
#define INTERFACE_AMOUNT		"Interface-Amount"
#define INTERFACE_DESCRIPTION		"Interface-Desc"

#define USER_AGENT			"User-Agent"
#define DATA_TYPE			"Data-Type"
#define MESSAGE				"Message"
#define PRAGMA				"Pragma"
#define CONTENT_LENGTH			"Content-Length"
#define CONTENT_TYPE			"Content-type"

#define BYTES_TX			"Bytes-TX"
#define PACKETS_TX			"Packets-TX"
#define ERRORS_TX			"Errors-TX"
#define CARRIER_TX			"Carrier-TX"
#define COLLS_TX			"Colls-TX"
#define COMPR_TX			"Compr-TX"
#define DROPED_TX			"Droped-TX"
#define FIFO_TX				"Fifo-TX"

#define BYTES_RX			"Bytes-RX"
#define PACKETS_RX			"Packets-RX"
#define ERRORS_RX			"Errors-RX"
#define FRAME_RX			"Frame-RX"
#define MULTICAST_RX			"Multicast-RX"
#define COMPR_RX			"Compr-RX"
#define DROPED_RX			"Droped-RX"
#define FIFO_RX				"Fifo-RX"

#define END_BCNT_HEADER			"__end_of_bcnt_header__"
#define END_BCNT_BODY			"__end_of_bcnt_body__"


/* NIN */

#endif /* _PROTOCOL_H_ */


