#ifndef _ROTATE_DASH_H_
#define _ROTATE_DASH_H_

/*
   *
   * rotate_dash.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


int dash_x, dash_y;


/* I got this from mc :-) */
void rotate_dash(WINDOW *window)
{
	static char rotating_dash[] = "|/-\\";
	static int position = 0;

	getmaxyx (window, dash_y, dash_x);

	if (position >= sizeof (rotating_dash) - 1)
	    position = 0;

	wattroff (window, A_UNDERLINE);
	mvwaddch (window, 0, dash_x - 2, rotating_dash[position]);
	wrefresh (window);

	position++;
}


void remove_dash(WINDOW *window)
{
	getmaxyx (window, dash_y, dash_x);

	wattroff (window, A_UNDERLINE);
	mvwaddch (window, 0, dash_x - 2, ACS_HLINE);
	wrefresh (window);
}


/* NIN */

#endif /* _ROTATE_DASH_H_ */

